%global pypi_name semantic_version

Name:           python-%{pypi_name}
Version:        2.8.5
Release:        %mkrel 1
Summary:        Library implementing the 'SemVer' scheme
Group:          Development/Python

License:        BSD
URL:            https://github.com/rbarrois/python-semanticversion
Source0:        https://github.com/rbarrois/python-semanticversion/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%global _description \
This small python library provides a few tools to handle semantic versioning\
in Python.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-django
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{_description}

Python 3 version.

%package doc
Summary:        Documentation for python-%{pypi_name}
BuildRequires:  python3-sphinx

%description doc
%{summary}.

%prep
%autosetup -n python-semanticversion-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# documentation builds due to broken symlink
# https://github.com/rbarrois/python-semanticversion/issues/20
rm docs/credits.rst

%build
%py3_build

# generate html docs
sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
# Seems like it's just stuck in koji

#{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst ChangeLog
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info/

%files doc
%license LICENSE
%doc html


%changelog
* Fri Oct 23 2020 akien <akien> 2.8.5-1.mga8
+ Revision: 1638863
- Version 2.8.5

* Sun Feb 16 2020 umeabot <umeabot> 2.6.0-6.mga8
+ Revision: 1532714
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 2.6.0-5.mga8
+ Revision: 1442809
- rebuild for python3.8
- drop python2 support

* Fri Jul 19 2019 shlomif <shlomif> 2.6.0-4.mga8
+ Revision: 1422965
- fix build

* Wed Jan 09 2019 tv <tv> 2.6.0-4.mga7
+ Revision: 1352977
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.6.0-3.mga7
+ Revision: 1290014
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.6.0-2.mga7
+ Revision: 1135625
- Rebuild for python 3.6

* Fri Feb 10 2017 akien <akien> 2.6.0-1.mga6
+ Revision: 1085555
- import python-semantic_version from Fedora 26

